"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Accordion = _ref => {
  let {
    data
  } = _ref;
  const [clicked, setClicked] = (0, _react.useState)(false);

  const toggle = index => {
    if (clicked === index) {
      //if clicked question is already active, then close it
      return setClicked(null);
    }

    setClicked(index);
  };

  return /*#__PURE__*/_react.default.createElement("div", null, data.map((item, index) => {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: "sectionBox"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "sectionTitle",
      onClick: () => toggle(index),
      key: index
    }, /*#__PURE__*/_react.default.createElement("h2", null, item.title), /*#__PURE__*/_react.default.createElement("div", null, clicked === index ? '-' : '+')), clicked === index && /*#__PURE__*/_react.default.createElement("div", {
      className: "sectionDescription"
    }, item.content));
  }));
};

Accordion.propTypes = {
  /**
   * Array whose objects must contain the keys: `title` of type String and `content` of type String.
   */
  data: _propTypes.default.array.isRequired
};
Accordion.defaultProps = {
  data: null
};
var _default = Accordion;
exports.default = _default;