"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es.object.assign.js");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ionicons = _interopRequireDefault(require("@reacticons/ionicons"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Button = props => {
  return /*#__PURE__*/_react.default.createElement("button", _extends({
    type: props.type,
    className: ["button", "button--".concat(props.size), "button--".concat(props.variant)].join(" ")
  }, props), props.icon && /*#__PURE__*/_react.default.createElement(_ionicons.default, {
    name: props.icon,
    style: {
      marginRight: "8px",
      fontSize: "2rem"
    }
  }), props.label);
};

Button.propTypes = {
  /**
   * Style of button to display.
   */
  variant: _propTypes.default.string.isRequired,

  /**
   * How large should the button be?
   */
  size: _propTypes.default.oneOf(["small", "medium", "large"]),

  /**
   * Button contents
   */
  label: _propTypes.default.string.isRequired,

  /**
   * Button icon
   */
  icon: _propTypes.default.string,

  /**
   * The type of button you want
   */
  type: _propTypes.default.oneOf(["button", "submit", "reset"]),

  /**
   * Optional click handler
   */
  onClick: _propTypes.default.func
};
Button.defaultProps = {
  variant: "primary",
  type: "button",
  size: "medium",
  onClick: undefined
};
var _default = Button;
exports.default = _default;