"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SecondaryIcon = exports.Secondary = exports.PrimaryIcon = exports.Primary = exports.Link = void 0;

var _react = _interopRequireDefault(require("react"));

var _Button = _interopRequireDefault(require("./Button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  title: "Components/Buttons",
  component: _Button.default,
  argTypes: {
    variant: {
      options: ["primary", "secondary", "link"],
      control: {
        type: "select"
      }
    },
    size: {
      options: ["small", "medium", "large"],
      control: {
        type: "select"
      }
    },
    type: {
      options: ["button", "submit", "reset"],
      control: {
        type: "select"
      }
    },
    icon: {
      options: ["", "search", "arrow-back", "location-outline", "phone-outline", "earth-outline", "navigate-outline", "time-outline"],
      control: {
        type: "select"
      }
    }
  }
};
exports.default = _default;

const Template = args => /*#__PURE__*/_react.default.createElement(_Button.default, args);

const Primary = Template.bind({});
exports.Primary = Primary;
Primary.args = {
  variant: "primary",
  label: "Button",
  size: ""
};
const Secondary = Template.bind({});
exports.Secondary = Secondary;
Secondary.args = {
  variant: "secondary",
  label: "Button"
};
const Link = Template.bind({});
exports.Link = Link;
Link.args = {
  variant: "link",
  label: "Link"
};
const PrimaryIcon = Template.bind({});
exports.PrimaryIcon = PrimaryIcon;
PrimaryIcon.args = {
  primary: true,
  label: "Button",
  icon: "search"
};
const SecondaryIcon = Template.bind({});
exports.SecondaryIcon = SecondaryIcon;
SecondaryIcon.args = {
  primary: false,
  label: "Button",
  icon: "arrow-back"
};