"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = require("react");

var _propTypes = _interopRequireDefault(require("prop-types"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const FilterButton = (_ref, props) => {
  let {
    defaultValue,
    selectedValue,
    filters
  } = _ref;
  const [selected, setSelected] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.React.createElement("div", {
    onClick: () => {
      setSelected(!selected);
    },
    className: selected ? "filter-button filter-button--selected" : "filter-button"
  }, filters !== 0 && /*#__PURE__*/_react.React.createElement("div", {
    className: "filter-button__filtered"
  }, /*#__PURE__*/_react.React.createElement("span", null, filters)), selected ? selectedValue : defaultValue);
};

FilterButton.propTypes = {
  /**
   * Default state of the button when unselected.
   */
  defaultValue: _propTypes.default.string,

  /**
   * State of the button when selected.
   */
  selectedValue: _propTypes.default.string,

  /**
   * Displays a badge with the specified number.
   */
  filters: _propTypes.default.number
};
var _default = FilterButton;
exports.default = _default;