"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _FoodGraphic = _interopRequireDefault(require("../../resources/illustrations/FoodGraphic.js"));

var _HealthGraphic = _interopRequireDefault(require("../../resources/illustrations/HealthGraphic.js"));

var _FamilyGraphic = _interopRequireDefault(require("../../resources/illustrations/FamilyGraphic.js"));

var _JobsGraphic = _interopRequireDefault(require("../../resources/illustrations/JobsGraphic.js"));

var _LGBTGraphic = _interopRequireDefault(require("../../resources/illustrations/LGBTGraphic.js"));

var _ShelterGraphic = _interopRequireDefault(require("../../resources/illustrations/ShelterGraphic.js"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const GraphicButton = function GraphicButton(_ref) {
  let {
    title,
    content,
    graphic
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "graphic-button"
  }, graphic === "food" && /*#__PURE__*/_react.default.createElement(_FoodGraphic.default, {
    className: "graphic-button__graphic"
  }), graphic === "family" && /*#__PURE__*/_react.default.createElement(_FamilyGraphic.default, {
    className: "graphic-button__graphic"
  }), graphic === "health" && /*#__PURE__*/_react.default.createElement(_HealthGraphic.default, {
    className: "graphic-button__graphic"
  }), graphic === "shelter" && /*#__PURE__*/_react.default.createElement(_ShelterGraphic.default, {
    className: "graphic-button__graphic"
  }), graphic === "lgbt" && /*#__PURE__*/_react.default.createElement(_LGBTGraphic.default, {
    className: "graphic-button__graphic"
  }), graphic === "jobs" && /*#__PURE__*/_react.default.createElement(_JobsGraphic.default, {
    className: "graphic-button__graphic"
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "graphic-button__body"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: "graphic-button__title"
  }, title), /*#__PURE__*/_react.default.createElement("p", {
    className: "graphic-button__paragraph"
  }, content)));
};

GraphicButton.propTypes = {
  /**
  * Image that accompanies the text for the button.
  */
  graphic: _propTypes.default.string,

  /**
   * The large text to display on button.
   */
  title: _propTypes.default.string,

  /**
     * The smaller text to display underneath the title.
     */
  content: _propTypes.default.string
};
var _default = GraphicButton;
exports.default = _default;