"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _text = require("../../resources/text");

var _Button = _interopRequireDefault(require("../Button/Button"));

var _IndicatorDots = _interopRequireDefault(require("../IndicatorDots/IndicatorDots"));

var _LocationModalCover = _interopRequireDefault(require("../../resources/LocationModal-cover.png"));

var _chevronLeftCircle = _interopRequireDefault(require("../../resources/chevron-left-circle.svg"));

var _chevronRightCircle = _interopRequireDefault(require("../../resources/chevron-right-circle.svg"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const LocationModal = function LocationModal(_ref) {
  let {
    primary,
    pages,
    image
  } = _ref;
  //STATES
  const [modalPage, setModalPage] = (0, _react.useState)(0);
  const [visible, setVisible] = (0, _react.useState)(true);
  const page = pages === 0 ? pages : pages - 1; // FUNCTIONS

  const modalRightHandler = () => {
    if (modalPage < page) {
      setModalPage(modalPage + 1);
    }
  };

  const modalLeftHandler = () => {
    if (modalPage > 0) {
      setModalPage(modalPage - 1);
    }
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "location-modal__card",
    style: visible ? {
      visibility: "visible"
    } : {
      visibility: "hidden"
    }
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: "location-modal__img",
    src: image
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "location-modal__content"
  }, primary ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "location-modal__main"
  }, _text.popupText), /*#__PURE__*/_react.default.createElement("div", {
    className: "location-modal__buttons-wrapper--primary"
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    primary: true,
    size: "medium",
    label: "Share my location"
  }), /*#__PURE__*/_react.default.createElement(_Button.default, {
    primary: false,
    size: "medium",
    label: "Do not share my location"
  }))) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("a", {
    onClick: modalLeftHandler
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: "location-modal__chevron location-modal__chevron--left",
    src: _chevronLeftCircle.default
  })), /*#__PURE__*/_react.default.createElement("a", {
    onClick: modalRightHandler
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: "location-modal__chevron location-modal__chevron--right",
    src: _chevronRightCircle.default
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "location-modal__main"
  }, _text.secondPopupText[modalPage]), /*#__PURE__*/_react.default.createElement("span", {
    className: "location-modal__indicator-dots"
  }, /*#__PURE__*/_react.default.createElement(_IndicatorDots.default, {
    indicator: modalPage,
    numElements: pages
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "location-modal__buttons-wrapper--secondary"
  }, /*#__PURE__*/_react.default.createElement("a", {
    onClick: () => {
      setVisible(false);
    }
  }, "Skip"), modalPage == page ? /*#__PURE__*/_react.default.createElement(_Button.default, {
    primary: true,
    size: "medium",
    label: "Close",
    onClick: () => {
      setVisible(false);
    }
  }) : /*#__PURE__*/_react.default.createElement(_Button.default, {
    primary: true,
    size: "medium",
    label: "Next",
    onClick: modalRightHandler
  })))));
};

LocationModal.propTypes = {
  primary: _propTypes.default.bool,
  pages: _propTypes.default.number,
  visible: _propTypes.default.bool,

  /**
   * This takes an SVG or Image component
   */
  image: _propTypes.default.string
};
LocationModal.defaultProps = {
  primary: true,
  pages: 3,
  visible: true,
  image: _LocationModalCover.default
};
var _default = LocationModal;
exports.default = _default;