"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _mapZoom = _interopRequireDefault(require("../../resources/map-zoom.svg"));

var _mapZoomOut = _interopRequireDefault(require("../../resources/map-zoom-out.svg"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const MapZoom = (_ref, props) => {
  let {
    plusClickHandler,
    minusClickHandler
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "map-zoom"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "map-zoom__button",
    onClick: plusClickHandler
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: _mapZoom.default,
    alt: "zoom-in button"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "map-zoom__divider"
  }, "\xA0"), /*#__PURE__*/_react.default.createElement("div", {
    className: "map-zoom__button",
    onClick: minusClickHandler
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: _mapZoomOut.default,
    alt: "zoom-out button"
  })));
};

MapZoom.propTypes = {
  /**
   * What happens when we click the "+" button?
   */
  plusClickHandler: _propTypes.default.func,

  /**
   * What happens when we click the "-" button?
   */
  minusClickHandler: _propTypes.default.func
};
MapZoom.defaultProps = {
  plusClickHandler: () => {
    console.log("zoom-in");
  },
  minusClickHandler: () => {
    console.log("zoom-out");
  }
};
var _default = MapZoom;
exports.default = _default;