"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ionicons = _interopRequireDefault(require("@reacticons/ionicons"));

require("../../styles/main.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Pills = (_ref, props) => {
  let {
    useBackground,
    variant,
    text
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "pills ".concat(useBackground || "pills--no-background", " pills--").concat(variant)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "pills--icon-wrapper"
  }, variant !== "general" ? /*#__PURE__*/_react.default.createElement(_ionicons.default, {
    name: "time-outline",
    className: "pills--icon"
  }) : ""), text);
};

Pills.propTypes = {
  /**
   * Which variation of the pill do you wish to be displayed?
   */
  variant: _propTypes.default.oneOf(["success", "error", "warning", "general"]).isRequired,

  /**
   * What message do you want to display?
   */
  text: _propTypes.default.string.isRequired,

  /**
   * Do you want to display the background color?
   */
  useBackground: _propTypes.default.bool
};
Pills.defaultProps = {
  variant: "success",
  text: "Open Now",
  useBackground: true
};
var _default = Pills;
exports.default = _default;